# Model: AINRGP_16khz_1hop_2algo_v2
This general purpose AI Noise Reduction algorithm removes background noise while preserving human speech. Speech can be in any language. This version of the algorithm uses a single 16kHz microphone source, with a 1ms hop-size. The enhanced output is computed with an algorithmic latency of 2ms (2x the input hop-size).

The model’s input is a sequence of noisy raw waveform frames, and its output is a sequence of enhanced waveform frames.

# Specification:
* Input/output audio sampling rate: 16kHz
* Input/output audio bit-depth: int16 pcm
* Hop size: 1ms
* Algorithmic latency: 2ms
* Algorithm version: 2.0


# Example Power Measurement [uW]:

## EVK2v2 (MP chip)
* Model on
	* VDD: 3340
	* VDDA: 138	
	* VDDM: 81
* Model off
	* VDD: 125
	* VDDA: 1	
	* VDDM: 67

## EVK2v1(TC2 chip)
* Model on
	* VDD: 4850
	* VDDA: 152	

* Model off
	* VDD: 165
	* VDDA: 2	

*note that power measurement vary chip-to-chip and with temperature.