# Model: AINRGP_16khz_4hop_8algo_v4
This general purpose AI Noise Reduction algorithm removes background noise while preserving human speech. Speech can be in any language. This version of the algorithm uses a single 16kHz microphone source, with a 1ms hop-size. The enhanced output is computed with an algorithmic latency of 8ms (2x the input hop-size).

The model’s input is a sequence of noisy raw waveform frames, and its output is a sequence of enhanced waveform frames.

# Specification:
* Input/output audio sampling rate: 16kHz
* Input/output audio bit-depth: int16 pcm
* Hop size: 4ms
* Algorithmic latency: 8ms
* Algorithm version: 4.0


# Example Power Measurement [uW]:

## EVK2v2 (MP chip)
* Model on
	* VDD: 750
	* VDDA: 80	
	* VDDM: 59
* Model off
	* VDD: 112
	* VDDA: 1	
	* VDDM: 55

## EVK2v1(TC2 chip)
* Model on
	* VDD: 1000
	* VDDA: 94	

* Model off
	* VDD: 140
	* VDDA: 2	

*note that power measurement vary chip-to-chip and with temperature.