/**
 * @file evk2_spi.cpp
 * @author Mathieu Le Goc (mathieu.legoc@femtosense.ai)
 * @brief
 * @version 1.0
 * @date 2024-03-15
 *
 * @copyright Copyright (c) 2024
 *
 */
#include "evk2_spi.h"
#include "Arduino.h"
#include <SPI.h>

void Evk2SpiRead(uint8_t spi_clock_frequency_mhz, uint8_t * tx_buffer, uint16_t tx_length,  uint8_t * rx_buffer, uint16_t rx_length){
  //use half-duplex
  SPI.beginTransaction(SPISettings(spi_clock_frequency_mhz * 1000000, MSBFIRST, SPI_MODE0));
  SPI.transfer(tx_buffer, tx_length);
  SPI.transfer(rx_buffer, rx_length);
  SPI.endTransaction();
}

void Evk2SpiWrite(uint8_t spi_clock_frequency_mhz, uint8_t * tx_buffer, uint16_t tx_length){
  SPI.beginTransaction(SPISettings(spi_clock_frequency_mhz * 1000000, MSBFIRST, SPI_MODE0));
  SPI.transfer(tx_buffer, tx_length);
  SPI.endTransaction();
}