/**
 * @file evk2_spi.h
 * @author Mathieu Le Goc (mathieu.legoc@femtosense.ai)
 * @brief
 * @version 1.0
 * @date 2024-03-15
 *
 * @copyright Copyright (c) 2024
 *
 */
#ifndef EVK2_SPI_H
#define EVK2_SPI_H

#include <stdint.h>
#include "AINR.h"

#ifdef __cplusplus
 extern "C" {
#endif

void Evk2SpiRead(uint8_t spi_clock_frequency_mhz, uint8_t * tx_buffer, uint16_t tx_length,  uint8_t * rx_buffer, uint16_t rx_length);
void Evk2SpiWrite(uint8_t spi_clock_frequency_mhz, uint8_t * tx_buffer, uint16_t tx_length);

#ifdef __cplusplus
}
#endif

#endif /* EVK2_SPI_H */
