# Model: GSC_8khz_16ms_v0
8kHz single-microphone Google Speech Commands (GSC) detection algorithm, trained to recognize:

 * 0: No Command
 * 1: "YES"
 * 2: "NO"
 * 3: "ON"
 * 4: "OFF"
 * 5: "LEFT"
 * 6: "RIGHT"
 * 7: "UP"
 * 8: "DOWN"
 * 9: "STOP"
 * 10: "GO"
 * 11: "HEY SNIPS"

The model’s input is a sequence of raw waveform frames, and its output is a sequence of probabilities of the presence  each command at each frame.


# Specification
* Input audio sampling rate: 8kHz
* Input audio bit-depth: int16 pcm
* Hop size: 16ms
* Algorithm version: 0


# Example Power Measurement [uW]:

## EVK2v2 (MP chip)
* Model on
	* VDD: 348
	* VDDA: 27	
	* VDDM: 55
* Model off
	* VDD: 107
	* VDDA: 1	
	* VDDM: 50

## EVK2v1(TC2 chip)
* Model on
	* VDD: 430
	* VDDA: 27	

* Model off
	* VDD: 132
	* VDDA: 2	

*note that power measurement vary chip-to-chip and with temperature.