# Model: WWDALEXA_8khz_16ms_v0
8kHz single-microphone wakeword detection algorithm, trained to recognize the phrase “Alexa.” Robust to indoor environmental noise, competing speech, and room reverberance. 

The model’s input is a sequence of raw waveform frames, and its output is a sequence of probabilities of the presence of the keyword at each frame.

Note that the algorithm was trained on a small dataset of American-accent speakers, so may underperform on other accents.

# Specification
* Input audio sampling rate: 8kHz
* Input audio bit-depth: int16 pcm
* Hop size: 16ms
* Algorithm version: 0.0


# Example Power Measurement [uW]:

## EVK2v2 (MP chip)
* Model on
	* VDD: 143
	* VDDA: 22	
	* VDDM: 22
* Model off
	* VDD: 98
	* VDDA: 1	
	* VDDM: 21

## EVK2v1(TC2 chip)
* Model on
	* VDD: 162
	* VDDA: 20	

* Model off
	* VDD: 98
	* VDDA: 2	

*note that power measurement vary chip-to-chip and with temperature.